/*
    created with FontEditor written by H. Reddmann
    HaReddmann at t-online dot de

    File Name           : f3x5.h
    Date                : 17.02.2010
    Font size in bytes  : 0x00CC, 204
    Font width          : 4
    Font height         : 5
    Font first char     : 0x30
    Font last char      : 0xB0
    Font bits per pixel : 1
    Font is compressed  : false

    The font data are defined as

    struct _FONT_ {
     // common shared fields
       uint16_t   font_Size_in_Bytes_over_all_included_Size_it_self;
       uint8_t    font_Width_in_Pixel_for_fixed_drawing;
       uint8_t    font_Height_in_Pixel_for_all_Characters;
       uint8_t    font_Bits_per_Pixels;
                    // if MSB are set then font is a compressed font
       uint8_t    font_First_Char;
       uint8_t    font_Last_Char;
       uint8_t    font_Char_Widths[font_Last_Char - font_First_Char +1];
                    // for each character the separate width in pixels,
                    // characters < 128 have an implicit virtual right empty row
                    // characters with font_Char_Widths[] == 0 are undefined

     // if compressed font then additional fields
       uint8_t    font_Byte_Padding;
                    // each Char in the table are aligned in size to this value
       uint8_t    font_RLE_Table[3];
                    // Run Length Encoding Table for Decompression
       uint8_t    font_Char_Size_in_Bytes[font_Last_Char - font_First_Char +1];
                    // for each char the size in (bytes / font_Byte_Padding) are stored,
                    // this get us the table to seek to the right beginning of each char
                    // in the font_data[]. Withhelp of font_Byte_Padding we ensure that
                    // one byte is suitable to store character sizes greater 255

     // for compressed and uncompressed fonts
       uint8_t    font_data[];
                    // bit field of all characters
    }
*/

#include <inttypes.h>
#include <avr/pgmspace.h>

#ifndef f3x5_H
#define f3x5_H

#define f3x5_WIDTH 4
#define f3x5_HEIGHT 5

static uint8_t __attribute__ ((progmem)) f3x5[] = {
    0x00, 0xCC, 0x04, 0x05, 0x01, 0x30, 0xB0,
    0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x00, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x01, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 
    0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    0x02, 
    0x2E, 0x3A, 0xF9, 0x61, 0xAE, 0x32, 0x56, 0x75, 0x38, 0xB9, 0x35, 0xB9, 0x9A, 0x42, 0x1F, 0xAA, 
    0x2A, 0x59, 0x9D, 0x2F, 0xFE, 0x57, 0xE5, 0x62, 0xFC, 0xD1, 0xFD, 0x1A, 0x7F, 0x09, 0xBF, 0xF6, 
    0x4F, 0xFE, 0x47, 0xF0, 0x7D, 0xB2, 0x3F, 0x84, 0xDF, 0xFC, 0xCF, 0xFE, 0x8F, 0xFF, 0x97, 0xF3, 
    0xF3, 0xFF, 0xED, 0xCE, 0x9A, 0xC3, 0x0F, 0x1F, 0xFE, 0x07, 0xDF, 0x67, 0x7F, 0x93, 0x3D, 0xF8, 
    0xC8, 0x75, 0x06, 0x00
};

#endif

